Package org.eclipse.e4.ui.model.application.impl

# Class ApplicationPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.e4.ui.model.application.impl.ApplicationPackageImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class ApplicationPackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  - `MApplicationFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ApplicationPackageImpl.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ADDON`
The meta object id for the '`Addon`' class.
`static final int`
`ADDON__CONTRIBUTION_URI`
The feature id for the 'Contribution URI' attribute.
`static final int`
`ADDON__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`ADDON__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`ADDON__OBJECT`
The feature id for the 'Object' attribute.
`static final int`
`ADDON__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`ADDON__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`ADDON__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`ADDON_FEATURE_COUNT`
The number of structural features of the 'Addon' class.
`static final int`
`ADDON_OPERATION_COUNT`
The number of operations of the 'Addon' class.
`static final int`
`APPLICATION`
The meta object id for the '`Application`' class.
`static final int`
`APPLICATION___GET_COMMAND__STRING`
The operation id for the 'Get Command' operation.
`static final int`
`APPLICATION___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`APPLICATION__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`APPLICATION__ADDONS`
The feature id for the 'Addons' containment reference list.
`static final int`
`APPLICATION__BINDING_CONTEXTS`
The feature id for the 'Binding Contexts' reference list.
`static final int`
`APPLICATION__BINDING_TABLES`
The feature id for the 'Binding Tables' containment reference list.
`static final int`
`APPLICATION__CATEGORIES`
The feature id for the 'Categories' containment reference list.
`static final int`
`APPLICATION__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`APPLICATION__COMMANDS`
The feature id for the 'Commands' containment reference list.
`static final int`
`APPLICATION__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`APPLICATION__CONTEXT`
The feature id for the 'Context' attribute.
`static final int`
`APPLICATION__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`APPLICATION__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`APPLICATION__DESCRIPTORS`
The feature id for the 'Descriptors' containment reference list.
`static final int`
`APPLICATION__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`APPLICATION__HANDLERS`
The feature id for the 'Handlers' containment reference list.
`static final int`
`APPLICATION__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`APPLICATION__MENU_CONTRIBUTIONS`
The feature id for the 'Menu Contributions' containment reference list.
`static final int`
`APPLICATION__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`APPLICATION__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`APPLICATION__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`APPLICATION__PROPERTIES`
The feature id for the 'Properties' map.
`static final int`
`APPLICATION__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`APPLICATION__ROOT_CONTEXT`
The feature id for the 'Root Context' containment reference list.
`static final int`
`APPLICATION__SELECTED_ELEMENT`
The feature id for the 'Selected Element' reference.
`static final int`
`APPLICATION__SNIPPETS`
The feature id for the 'Snippets' containment reference list.
`static final int`
`APPLICATION__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`APPLICATION__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`APPLICATION__TOOL_BAR_CONTRIBUTIONS`
The feature id for the 'Tool Bar Contributions' containment reference list.
`static final int`
`APPLICATION__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`APPLICATION__TRIM_CONTRIBUTIONS`
The feature id for the 'Trim Contributions' containment reference list.
`static final int`
`APPLICATION__VARIABLES`
The feature id for the 'Variables' attribute list.
`static final int`
`APPLICATION__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`APPLICATION__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`APPLICATION__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`APPLICATION_ELEMENT`
The meta object id for the '`Element`' class.
`static final int`
`APPLICATION_ELEMENT__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`APPLICATION_ELEMENT__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`APPLICATION_ELEMENT__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`APPLICATION_ELEMENT__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`APPLICATION_ELEMENT__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`APPLICATION_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Element' class.
`static final int`
`APPLICATION_ELEMENT_OPERATION_COUNT`
The number of operations of the 'Element' class.
`static final int`
`APPLICATION_FEATURE_COUNT`
The number of structural features of the 'Application' class.
`static final int`
`APPLICATION_OPERATION_COUNT`
The number of operations of the 'Application' class.
`static final int`
`CONTRIBUTION`
The meta object id for the '`Contribution`' class.
`static final int`
`CONTRIBUTION__CONTRIBUTION_URI`
The feature id for the 'Contribution URI' attribute.
`static final int`
`CONTRIBUTION__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`CONTRIBUTION__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`CONTRIBUTION__OBJECT`
The feature id for the 'Object' attribute.
`static final int`
`CONTRIBUTION__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`CONTRIBUTION__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`CONTRIBUTION__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`CONTRIBUTION_FEATURE_COUNT`
The number of structural features of the 'Contribution' class.
`static final int`
`CONTRIBUTION_OPERATION_COUNT`
The number of operations of the 'Contribution' class.
`static final ApplicationPackageImpl`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`IECLIPSE_CONTEXT`
The meta object id for the 'IEclipse Context' data type.
`static final int`
`STRING_TO_OBJECT_MAP`
The meta object id for the '`String To Object Map`' class.
`static final int`
`STRING_TO_OBJECT_MAP__KEY`
The feature id for the 'Key' attribute.
`static final int`
`STRING_TO_OBJECT_MAP__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`STRING_TO_OBJECT_MAP_FEATURE_COUNT`
The number of structural features of the 'String To Object Map' class.
`static final int`
`STRING_TO_OBJECT_MAP_OPERATION_COUNT`
The number of operations of the 'String To Object Map' class.
`static final int`
`STRING_TO_STRING_MAP`
The meta object id for the '`String To String Map`' class.
`static final int`
`STRING_TO_STRING_MAP__KEY`
The feature id for the 'Key' attribute.
`static final int`
`STRING_TO_STRING_MAP__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`STRING_TO_STRING_MAP_FEATURE_COUNT`
The number of structural features of the 'String To String Map' class.
`static final int`
`STRING_TO_STRING_MAP_OPERATION_COUNT`
The number of operations of the 'String To String Map' class.

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getAddon()`
Returns the meta object for class '`Addon`'.
`org.eclipse.emf.ecore.EClass`
`getApplication()`
Returns the meta object for class '`Application`'.
`org.eclipse.emf.ecore.EOperation`
`getApplication__GetCommand__String()`
Returns the meta object for the '`Get Command`' operation.
`org.eclipse.emf.ecore.EReference`
`getApplication_Addons()`
Returns the meta object for the containment reference list '`Addons`'.
`org.eclipse.emf.ecore.EReference`
`getApplication_Categories()`
Returns the meta object for the containment reference list '`Categories`'.
`org.eclipse.emf.ecore.EReference`
`getApplication_Commands()`
Returns the meta object for the containment reference list '`Commands`'.
`org.eclipse.emf.ecore.EClass`
`getApplicationElement()`
Returns the meta object for class '`Element`'.
`org.eclipse.emf.ecore.EAttribute`
`getApplicationElement_ContributorURI()`
Returns the meta object for the attribute '`Contributor URI`'.
`org.eclipse.emf.ecore.EAttribute`
`getApplicationElement_ElementId()`
Returns the meta object for the attribute '`Element Id`'.
`org.eclipse.emf.ecore.EReference`
`getApplicationElement_PersistedState()`
Returns the meta object for the map '`Persisted State`'.
`org.eclipse.emf.ecore.EAttribute`
`getApplicationElement_Tags()`
Returns the meta object for the attribute list '`Tags`'.
`org.eclipse.emf.ecore.EReference`
`getApplicationElement_TransientData()`
Returns the meta object for the map '`Transient Data`'.
`MApplicationFactory`
`getApplicationFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass`
`getContribution()`
Returns the meta object for class '`Contribution`'.
`org.eclipse.emf.ecore.EAttribute`
`getContribution_ContributionURI()`
Returns the meta object for the attribute '`Contribution URI`'.
`org.eclipse.emf.ecore.EAttribute`
`getContribution_Object()`
Returns the meta object for the attribute '`Object`'.
`org.eclipse.emf.ecore.EDataType`
`getIEclipseContext()`
Returns the meta object for data type '`IEclipse Context`'.
`org.eclipse.emf.ecore.EClass`
`getStringToObjectMap()`
Returns the meta object for class '`String To Object Map`'.
`org.eclipse.emf.ecore.EAttribute`
`getStringToObjectMap_Key()`
Returns the meta object for the attribute '`Key`'.
`org.eclipse.emf.ecore.EAttribute`
`getStringToObjectMap_Value()`
Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getStringToStringMap()`
Returns the meta object for class '`String To String Map`'.
`org.eclipse.emf.ecore.EAttribute`
`getStringToStringMap_Key()`
Returns the meta object for the attribute '`Key`'.
`org.eclipse.emf.ecore.EAttribute`
`getStringToStringMap_Value()`
Returns the meta object for the attribute '`Value`'.
`static ApplicationPackageImpl`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

public static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

public static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

public static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

public static final ApplicationPackageImpl eINSTANCE
The singleton instance of the package.

### STRING_TO_STRING_MAP

public static final int STRING_TO_STRING_MAP
The meta object id for the '`String To String Map`' class.

See Also:
  - `StringToStringMapImpl`
  - `getStringToStringMap()`
  - Constant Field Values

### STRING_TO_STRING_MAP__KEY

public static final int STRING_TO_STRING_MAP__KEY
The feature id for the 'Key' attribute.

See Also:
  - Constant Field Values

### STRING_TO_STRING_MAP__VALUE

public static final int STRING_TO_STRING_MAP__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### STRING_TO_STRING_MAP_FEATURE_COUNT

public static final int STRING_TO_STRING_MAP_FEATURE_COUNT
The number of structural features of the 'String To String Map' class.

See Also:
  - Constant Field Values

### STRING_TO_STRING_MAP_OPERATION_COUNT

public static final int STRING_TO_STRING_MAP_OPERATION_COUNT
The number of operations of the 'String To String Map' class.

See Also:
  - Constant Field Values

### APPLICATION_ELEMENT

public static final int APPLICATION_ELEMENT
The meta object id for the '`Element`' class.

Since:
  1.0
See Also:
  - `ApplicationElementImpl`
  - `getApplicationElement()`
  - Constant Field Values

### APPLICATION_ELEMENT__ELEMENT_ID

public static final int APPLICATION_ELEMENT__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION_ELEMENT__PERSISTED_STATE

public static final int APPLICATION_ELEMENT__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION_ELEMENT__TAGS

public static final int APPLICATION_ELEMENT__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION_ELEMENT__CONTRIBUTOR_URI

public static final int APPLICATION_ELEMENT__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION_ELEMENT__TRANSIENT_DATA

public static final int APPLICATION_ELEMENT__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION_ELEMENT_FEATURE_COUNT

public static final int APPLICATION_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Element' class.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION_ELEMENT_OPERATION_COUNT

public static final int APPLICATION_ELEMENT_OPERATION_COUNT
The number of operations of the 'Element' class.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION

public static final int APPLICATION
The meta object id for the '`Application`' class.

Since:
  1.0
See Also:
  - `ApplicationImpl`
  - `getApplication()`
  - Constant Field Values

### APPLICATION__ELEMENT_ID

public static final int APPLICATION__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__PERSISTED_STATE

public static final int APPLICATION__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__TAGS

public static final int APPLICATION__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__CONTRIBUTOR_URI

public static final int APPLICATION__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__TRANSIENT_DATA

public static final int APPLICATION__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__WIDGET

public static final int APPLICATION__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__RENDERER

public static final int APPLICATION__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__TO_BE_RENDERED

public static final int APPLICATION__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__ON_TOP

public static final int APPLICATION__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__VISIBLE

public static final int APPLICATION__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__PARENT

public static final int APPLICATION__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__CONTAINER_DATA

public static final int APPLICATION__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__CUR_SHARED_REF

public static final int APPLICATION__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__VISIBLE_WHEN

public static final int APPLICATION__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__ACCESSIBILITY_PHRASE

public static final int APPLICATION__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int APPLICATION__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__CHILDREN

public static final int APPLICATION__CHILDREN
The feature id for the 'Children' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__SELECTED_ELEMENT

public static final int APPLICATION__SELECTED_ELEMENT
The feature id for the 'Selected Element' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__CONTEXT

public static final int APPLICATION__CONTEXT
The feature id for the 'Context' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__VARIABLES

public static final int APPLICATION__VARIABLES
The feature id for the 'Variables' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__PROPERTIES

public static final int APPLICATION__PROPERTIES
The feature id for the 'Properties' map.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__HANDLERS

public static final int APPLICATION__HANDLERS
The feature id for the 'Handlers' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__BINDING_TABLES

public static final int APPLICATION__BINDING_TABLES
The feature id for the 'Binding Tables' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__ROOT_CONTEXT

public static final int APPLICATION__ROOT_CONTEXT
The feature id for the 'Root Context' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__DESCRIPTORS

public static final int APPLICATION__DESCRIPTORS
The feature id for the 'Descriptors' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__BINDING_CONTEXTS

public static final int APPLICATION__BINDING_CONTEXTS
The feature id for the 'Binding Contexts' reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__MENU_CONTRIBUTIONS

public static final int APPLICATION__MENU_CONTRIBUTIONS
The feature id for the 'Menu Contributions' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__TOOL_BAR_CONTRIBUTIONS

public static final int APPLICATION__TOOL_BAR_CONTRIBUTIONS
The feature id for the 'Tool Bar Contributions' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__TRIM_CONTRIBUTIONS

public static final int APPLICATION__TRIM_CONTRIBUTIONS
The feature id for the 'Trim Contributions' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__SNIPPETS

public static final int APPLICATION__SNIPPETS
The feature id for the 'Snippets' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__COMMANDS

public static final int APPLICATION__COMMANDS
The feature id for the 'Commands' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__ADDONS

public static final int APPLICATION__ADDONS
The feature id for the 'Addons' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION__CATEGORIES

public static final int APPLICATION__CATEGORIES
The feature id for the 'Categories' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION_FEATURE_COUNT

public static final int APPLICATION_FEATURE_COUNT
The number of structural features of the 'Application' class.

Since:
  1.0
See Also:
  - Constant Field Values

### APPLICATION___UPDATE_LOCALIZATION

public static final int APPLICATION___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### APPLICATION___GET_COMMAND__STRING

public static final int APPLICATION___GET_COMMAND__STRING
The operation id for the 'Get Command' operation.

Since:
  1.2
See Also:
  - Constant Field Values

### APPLICATION_OPERATION_COUNT

public static final int APPLICATION_OPERATION_COUNT
The number of operations of the 'Application' class.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTRIBUTION

public static final int CONTRIBUTION
The meta object id for the '`Contribution`' class.

Since:
  1.0
See Also:
  - `ContributionImpl`
  - `getContribution()`
  - Constant Field Values

### CONTRIBUTION__ELEMENT_ID

public static final int CONTRIBUTION__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTRIBUTION__PERSISTED_STATE

public static final int CONTRIBUTION__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTRIBUTION__TAGS

public static final int CONTRIBUTION__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTRIBUTION__CONTRIBUTOR_URI

public static final int CONTRIBUTION__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTRIBUTION__TRANSIENT_DATA

public static final int CONTRIBUTION__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTRIBUTION__CONTRIBUTION_URI

public static final int CONTRIBUTION__CONTRIBUTION_URI
The feature id for the 'Contribution URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTRIBUTION__OBJECT

public static final int CONTRIBUTION__OBJECT
The feature id for the 'Object' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTRIBUTION_FEATURE_COUNT

public static final int CONTRIBUTION_FEATURE_COUNT
The number of structural features of the 'Contribution' class.

Since:
  1.0
See Also:
  - Constant Field Values

### CONTRIBUTION_OPERATION_COUNT

public static final int CONTRIBUTION_OPERATION_COUNT
The number of operations of the 'Contribution' class.

Since:
  1.0
See Also:
  - Constant Field Values

### ADDON

public static final int ADDON
The meta object id for the '`Addon`' class.

Since:
  1.0
See Also:
  - `AddonImpl`
  - `getAddon()`
  - Constant Field Values

### ADDON__ELEMENT_ID

public static final int ADDON__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ADDON__PERSISTED_STATE

public static final int ADDON__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### ADDON__TAGS

public static final int ADDON__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### ADDON__CONTRIBUTOR_URI

public static final int ADDON__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ADDON__TRANSIENT_DATA

public static final int ADDON__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### ADDON__CONTRIBUTION_URI

public static final int ADDON__CONTRIBUTION_URI
The feature id for the 'Contribution URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ADDON__OBJECT

public static final int ADDON__OBJECT
The feature id for the 'Object' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ADDON_FEATURE_COUNT

public static final int ADDON_FEATURE_COUNT
The number of structural features of the 'Addon' class.

Since:
  1.0
See Also:
  - Constant Field Values

### ADDON_OPERATION_COUNT

public static final int ADDON_OPERATION_COUNT
The number of operations of the 'Addon' class.

Since:
  1.0
See Also:
  - Constant Field Values

### STRING_TO_OBJECT_MAP

public static final int STRING_TO_OBJECT_MAP
The meta object id for the '`String To Object Map`' class.

See Also:
  - `StringToObjectMapImpl`
  - `getStringToObjectMap()`
  - Constant Field Values

### STRING_TO_OBJECT_MAP__KEY

public static final int STRING_TO_OBJECT_MAP__KEY
The feature id for the 'Key' attribute.

See Also:
  - Constant Field Values

### STRING_TO_OBJECT_MAP__VALUE

public static final int STRING_TO_OBJECT_MAP__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### STRING_TO_OBJECT_MAP_FEATURE_COUNT

public static final int STRING_TO_OBJECT_MAP_FEATURE_COUNT
The number of structural features of the 'String To Object Map' class.

See Also:
  - Constant Field Values

### STRING_TO_OBJECT_MAP_OPERATION_COUNT

public static final int STRING_TO_OBJECT_MAP_OPERATION_COUNT
The number of operations of the 'String To Object Map' class.

See Also:
  - Constant Field Values

### IECLIPSE_CONTEXT

public static final int IECLIPSE_CONTEXT
The meta object id for the 'IEclipse Context' data type.

See Also:
  - `IEclipseContext`
  - `getIEclipseContext()`
  - Constant Field Values

## Method Details

### init

public static ApplicationPackageImpl init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getStringToStringMap

public org.eclipse.emf.ecore.EClass getStringToStringMap()
Returns the meta object for class '`String To String Map`'.

Returns:
  the meta object for class 'String To String Map'.
See Also:
  - `Map.Entry`

### getStringToStringMap_Key

public org.eclipse.emf.ecore.EAttribute getStringToStringMap_Key()
Returns the meta object for the attribute '`Key`'.

Returns:
  the meta object for the attribute 'Key'.
See Also:
  - `Map.Entry`
  - `getStringToStringMap()`

### getStringToStringMap_Value

public org.eclipse.emf.ecore.EAttribute getStringToStringMap_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `Map.Entry`
  - `getStringToStringMap()`

### getApplication

public org.eclipse.emf.ecore.EClass getApplication()
Returns the meta object for class '`Application`'.

Returns:
  the meta object for class 'Application'.
Since:
  1.0
See Also:
  - `MApplication`

### getApplication_Commands

public org.eclipse.emf.ecore.EReference getApplication_Commands()
Returns the meta object for the containment reference list '`Commands`'.

Returns:
  the meta object for the containment reference list 'Commands'.
Since:
  1.0
See Also:
  - `MApplication.getCommands()`
  - `getApplication()`

### getApplication_Addons

public org.eclipse.emf.ecore.EReference getApplication_Addons()
Returns the meta object for the containment reference list '`Addons`'.

Returns:
  the meta object for the containment reference list 'Addons'.
Since:
  1.0
See Also:
  - `MApplication.getAddons()`
  - `getApplication()`

### getApplication_Categories

public org.eclipse.emf.ecore.EReference getApplication_Categories()
Returns the meta object for the containment reference list '`Categories`'.

Returns:
  the meta object for the containment reference list 'Categories'.
Since:
  1.0
See Also:
  - `MApplication.getCategories()`
  - `getApplication()`

### getApplication__GetCommand__String

public org.eclipse.emf.ecore.EOperation getApplication__GetCommand__String()
Returns the meta object for the '`Get Command`' operation.

Returns:
  the meta object for the 'Get Command' operation.
Since:
  1.2
See Also:
  - `MApplication.getCommand(java.lang.String)`

### getApplicationElement

public org.eclipse.emf.ecore.EClass getApplicationElement()
Returns the meta object for class '`Element`'.

Returns:
  the meta object for class 'Element'.
Since:
  1.0
See Also:
  - `MApplicationElement`

### getApplicationElement_ElementId

public org.eclipse.emf.ecore.EAttribute getApplicationElement_ElementId()
Returns the meta object for the attribute '`Element Id`'.

Returns:
  the meta object for the attribute 'Element Id'.
Since:
  1.0
See Also:
  - `MApplicationElement.getElementId()`
  - `getApplicationElement()`

### getApplicationElement_PersistedState

public org.eclipse.emf.ecore.EReference getApplicationElement_PersistedState()
Returns the meta object for the map '`Persisted State`'.

Returns:
  the meta object for the map 'Persisted State'.
Since:
  1.0
See Also:
  - `MApplicationElement.getPersistedState()`
  - `getApplicationElement()`

### getApplicationElement_Tags

public org.eclipse.emf.ecore.EAttribute getApplicationElement_Tags()
Returns the meta object for the attribute list '`Tags`'.

Returns:
  the meta object for the attribute list 'Tags'.
Since:
  1.0
See Also:
  - `MApplicationElement.getTags()`
  - `getApplicationElement()`

### getApplicationElement_ContributorURI

public org.eclipse.emf.ecore.EAttribute getApplicationElement_ContributorURI()
Returns the meta object for the attribute '`Contributor URI`'.

Returns:
  the meta object for the attribute 'Contributor URI'.
Since:
  1.0
See Also:
  - `MApplicationElement.getContributorURI()`
  - `getApplicationElement()`

### getApplicationElement_TransientData

public org.eclipse.emf.ecore.EReference getApplicationElement_TransientData()
Returns the meta object for the map '`Transient Data`'.

Returns:
  the meta object for the map 'Transient Data'.
Since:
  1.0
See Also:
  - `MApplicationElement.getTransientData()`
  - `getApplicationElement()`

### getContribution

public org.eclipse.emf.ecore.EClass getContribution()
Returns the meta object for class '`Contribution`'.

Returns:
  the meta object for class 'Contribution'.
Since:
  1.0
See Also:
  - `MContribution`

### getContribution_ContributionURI

public org.eclipse.emf.ecore.EAttribute getContribution_ContributionURI()
Returns the meta object for the attribute '`Contribution URI`'.

Returns:
  the meta object for the attribute 'Contribution URI'.
Since:
  1.0
See Also:
  - `MContribution.getContributionURI()`
  - `getContribution()`

### getContribution_Object

public org.eclipse.emf.ecore.EAttribute getContribution_Object()
Returns the meta object for the attribute '`Object`'.

Returns:
  the meta object for the attribute 'Object'.
Since:
  1.0
See Also:
  - `MContribution.getObject()`
  - `getContribution()`

### getAddon

public org.eclipse.emf.ecore.EClass getAddon()
Returns the meta object for class '`Addon`'.

Returns:
  the meta object for class 'Addon'.
Since:
  1.0
See Also:
  - `MAddon`

### getStringToObjectMap

public org.eclipse.emf.ecore.EClass getStringToObjectMap()
Returns the meta object for class '`String To Object Map`'.

Returns:
  the meta object for class 'String To Object Map'.
See Also:
  - `Map.Entry`

### getStringToObjectMap_Key

public org.eclipse.emf.ecore.EAttribute getStringToObjectMap_Key()
Returns the meta object for the attribute '`Key`'.

Returns:
  the meta object for the attribute 'Key'.
See Also:
  - `Map.Entry`
  - `getStringToObjectMap()`

### getStringToObjectMap_Value

public org.eclipse.emf.ecore.EAttribute getStringToObjectMap_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `Map.Entry`
  - `getStringToObjectMap()`

### getIEclipseContext

public org.eclipse.emf.ecore.EDataType getIEclipseContext()
Returns the meta object for data type '`IEclipse Context`'.

Returns:
  the meta object for data type 'IEclipse Context'.
See Also:
  - `IEclipseContext`

### getApplicationFactory

public MApplicationFactory getApplicationFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.